## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

# prevent executables from being installed
%global cargo_install_bin 0

%global crate open

Name:           rust-open
Version:        5.3.0
Release:        %autorelease
Summary:        Open a path or URL using the program configured on the system

License:        MIT
URL:            https://crates.io/crates/open
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop Windows-only feature
Patch:          open-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 26

%global _description %{expand:
Open a path or URL using the program configured on the system.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/changelog.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Jul 31 2024 Michel Lind <salimma@fedoraproject.org> - 5.3.0-1
- Update to version 5.3.0; Fixes RHBZ#2297020

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jul 06 2024 Fabio Valentini <decathorpe@gmail.com> - 5.2.0-1
- Update to version 5.2.0; Fixes RHBZ#2295542

* Wed Jun 05 2024 Fabio Valentini <decathorpe@gmail.com> - 5.1.4-1
- Update to version 5.1.4; Fixes RHBZ#2290450

* Fri May 17 2024 Fabio Valentini <decathorpe@gmail.com> - 5.1.3-1
- Update to version 5.1.3; Fixes RHBZ#2280885

* Fri Apr 05 2024 blinxen <h-k-81@hotmail.com> - 5.1.2-1
- Update to version 5.1.2; Fixes RHBZ#2268463

* Tue Mar 05 2024 Fabio Valentini <decathorpe@gmail.com> - 5.1.1-1
- Update to version 5.1.1; Fixes RHBZ#2266543

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 18 2024 Michel Lind <salimma@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1
- Convert to rust2rpm.toml

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 23 2023 Fabio Valentini <decathorpe@gmail.com> - 4.2.0-1
- Update to version 4.2.0; Fixes RHBZ#2216470

* Tue May 30 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 4.1.0-1
- Update to 4.1.0

* Mon Mar 06 2023 Fabio Valentini <decathorpe@gmail.com> - 3.4.0-1
- Update to version 3.4.0; Fixes RHBZ#2175707

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 3.2.0-1
- Update to version 3.2.0; Fixes RHBZ#2144398

* Wed Oct 05 2022 Fabio Valentini <decathorpe@gmail.com> - 3.0.3-1
- Update to version 3.0.3; Fixes RHBZ#2127337

* Sun Jul 24 2022 Fabio Valentini <decathorpe@gmail.com> - 3.0.2-1
- Update to version 3.0.2; Fixes RHBZ#2093123

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu May 12 2022 Fabio Valentini <decathorpe@gmail.com> - 2.1.2-1
- Update to version 2.1.2; Fixes RHBZ#2080091

* Tue Mar 29 2022 Fabio Valentini <decathorpe@gmail.com> - 2.1.1-1
- Update to version 2.1.1; Fixes RHBZ#2061031

* Fri Feb 25 2022 Fabio Valentini <decathorpe@gmail.com> - 2.1.0-1
- Update to version 2.1.0; Fixes RHBZ#2053943

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 01 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.2-1
- Update to version 2.0.2; Fixes RHBZ#2027890

* Mon Nov 08 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-1
- Update to version 2.0.1; Fixes RHBZ#1985695

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 18 2021 Fabio Valentini <decathorpe@gmail.com> - 1.7.1-1
- Update to version 1.7.1; Fixes RHBZ#1983263

* Wed Apr 21 2021 Fabio Valentini <decathorpe@gmail.com> - 1.7.0-1
- Update to version 1.7.0.
- Fixes RHBZ#1950743

* Thu Mar 25 2021 Fabio Valentini <decathorpe@gmail.com> - 1.6.0-1
- Update to version 1.6.0.
- Fixes RHBZ#1937422

* Wed Mar 03 2021 Fabio Valentini <decathorpe@gmail.com> - 1.5.1-1
- Update to version 1.5.1.
- Fixes RHBZ#1934634

* Tue Mar 02 2021 Fabio Valentini <decathorpe@gmail.com> - 1.5.0-1
- Update to version 1.5.0.
- Fixes RHBZ#1933465

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Mar 10 2020 Josh Stone <jistone@redhat.com> - 1.4.0-1
- Update to 1.4.0

* Tue Feb 11 10:53:56 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.3.4-1
- Update to 1.3.4

* Tue Feb 11 10:01:28 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.3.3-1
- Update to 1.3.3

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Nov 23 2019 Josh Stone <jistone@redhat.com> - 1.3.2-1
- Update to 1.3.2

* Sat Aug 03 13:59:09 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 16:50:38 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2.2-2
- Regenerate

* Thu Mar 14 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2.2-1
- Initial package

## END: Generated by rpmautospec
